<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:ts="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ctxt="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:kontekst="http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/" xmlns:fase2="http://rep.oio.dk/skat.dk/eindkomst/" xmlns:blanket="http://rep.oio.dk/skat.dk/eindkomst/class/blanket/xml/schemas/20071202/" xmlns:blanketfelt="http://rep.oio.dk/skat.dk/eindkomst/class/blanketfelt/xml/schemas/20071202/" xmlns:eskattekort="http://rep.oio.dk/skat.dk/eindkomst/class/eskattekort/xml/schemas/20071202/" xmlns:eskattekortallemarkering="http://rep.oio.dk/skat.dk/eindkomst/class/eskattekortalleindikator/xml/schemas/20071202/" xmlns:eskattekorttype="http://rep.oio.dk/skat.dk/eindkomst/class/eskattekorttype/xml/schemas/20071202/" xmlns:virksomhed="http://rep.oio.dk/skat.dk/eindkomst/class/virksomhed/xml/schemas/20071202/" xmlns:xkom-2006="http://rep.oio.dk/xkom.dk/xml/schemas/2006/09/01/" xmlns:xkom2="http://rep.oio.dk/xkom.dk/xml/schemas/2007/04/15/" xmlns:xkom="http://rep.oio.dk/xkom.dk/xml/schemas/2007/09/01/">
	<xsl:import href="CivilstandGiftKode.xsl"/>
	<!-- Stylesheet found by looking up in DAPWS with GUN 'ts:CivilstandGiftKode" -->
	<xsl:import href="VirksomhedAdresseLandeKode.xsl"/>
	<!-- Stylesheet found by looking up in DAPWS with GUN 'ts:LandeKode" -->
	<xsl:import href="ServiceSomethingSvar.xsl"/>
	<!-- Stylesheet found by looking up in DAPWS with GUN 'ts:ServiceSomethingSvar" -->
	<xsl:import href="OIOHovedOplysningerSvar.xsl"/>
	<!-- Generelt stylesheet i Portalen der styler fejl -->
	<xsl:output method="xml" indent="yes" omit-xml-declaration="no" encoding="iso-8859-1" media-type="text"/>


	<xsl:template match="/">


		<!-- Dummykode for dannelse af OIO-svar  -->
		<xsl:element name="fase2:eSkattekortHentInterface">
			<xsl:attribute name="xsi:schemaLocation">http://rep.oio.dk/skat.dk/eindkomst/ http://rep.oio.dk/skat.dk/eIndkomst/service/eSkattekortHentInterface.xsd</xsl:attribute>
			<xsl:attribute name="xmlns:cpr">http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/</xsl:attribute>
			<xsl:attribute name="xmlns:kontekst">http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/</xsl:attribute> 
			<xsl:attribute name="xmlns:fase2">http://rep.oio.dk/skat.dk/eindkomst/</xsl:attribute>
			<xsl:attribute name="xmlns:blanket">http://rep.oio.dk/skat.dk/eindkomst/class/blanket/xml/schemas/20071202/</xsl:attribute>
			<xsl:attribute name="xmlns:blanketfelt">http://rep.oio.dk/skat.dk/eindkomst/class/blanketfelt/xml/schemas/20071202/</xsl:attribute> 
			<xsl:attribute name="xmlns:eskattekort">http://rep.oio.dk/skat.dk/eindkomst/class/eskattekort/xml/schemas/20071202/</xsl:attribute> 
			<xsl:attribute name="xmlns:eskattekortallemarkering">http://rep.oio.dk/skat.dk/eindkomst/class/eskattekortalleindikator/xml/schemas/20071202/</xsl:attribute>
			<xsl:attribute name="xmlns:eskattekorttype">http://rep.oio.dk/skat.dk/eindkomst/class/eskattekorttype/xml/schemas/20071202/</xsl:attribute> 
			<xsl:attribute name="xmlns:virksomhed">http://rep.oio.dk/skat.dk/eindkomst/class/virksomhed/xml/schemas/20071202/</xsl:attribute> 
			<xsl:attribute name="xmlns:xkom-2006">http://rep.oio.dk/xkom.dk/xml/schemas/2006/09/01/</xsl:attribute>
			<xsl:attribute name="xmlns:xkom2">http://rep.oio.dk/xkom.dk/xml/schemas/2007/04/15/</xsl:attribute> 
			<xsl:attribute name="xmlns:xkom">http://rep.oio.dk/xkom.dk/xml/schemas/2007/09/01/</xsl:attribute> 
			<xsl:attribute name="xmlns:xsi">http://www.w3.org/2001/XMLSchema-instance</xsl:attribute>
			<xsl:element name="fase2:eSkattekortHent_I">
			<!-- Slut dummykode for dannelse af OIO-svar  -->


			
			<!--  Her sker det spændende.
					Kald af template der autokonverterer indholdet af forretningsservice hovedoplysninger til OIO hovedoplysninger -->
			<xsl:apply-templates select=".//ctxt:HovedOplysningerSvar"/>
			<!-- Slut på det spændende -->
				
			<!-- Dummykode for dannelse af OIO-svar  -->
				<xsl:element name="fase2:eSkattekortBrugerVirksomhedSamling">
					<xsl:element name="fase2:eSkattekortBrugerVirksomhed">
						<xsl:element name="virksomhed:VirksomhedSENummer">aaaaaaaa</xsl:element>
						<xsl:element name="fase2:eSkattekortPersonBlanketStrukturSamling">
							<xsl:element name="fase2:eSkattekortPersonBlanketStruktur">
								<xsl:element name="fase2:eSkattekortPersonBlanketStrukturDefinition">
									<xsl:element name="cpr:PersonCivilRegistrationIdentifier">0101000000</xsl:element>
									<xsl:element name="eskattekort:ESkattekortIndkomstAarIdentifikator">2001</xsl:element>
									<xsl:element name="xkom:DateInterval">
										<xsl:element name="xkom-2006:StartDate">1967-08-13</xsl:element>
										<xsl:element name="xkom2:EndDate">1967-08-13</xsl:element>
									</xsl:element>
									<xsl:element name="eskattekortallemarkering:ESkattekortAlleIndikator">true</xsl:element>
									<xsl:element name="fase2:BlanketStruktur">
										<xsl:element name="blanket:BlanketNummerIdentifikator">String</xsl:element>
										<xsl:element name="blanketfelt:BlanketFeltNummerIdentifikator">0</xsl:element>
									</xsl:element>
									<xsl:element name="eskattekorttype:ESkattekortTypeKode">0</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			<!-- Slut dummykode for dannelse af OIO-svar  -->
				
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
