<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1"  xmlns:ctxt="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:ts="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema">

	<!-- 	Dette stylesheet gemmes i DAP-systemet, og fås ved opslag på oid=ts:ServiceSomethingSvar/DK -->

	<!-- 	I denne form rapporterer dette stylesheet kun den første fejl i en liste. 
			Det ville også være muligt at rapportere en hel liste -->

	<xsl:template match="ctxt:Fejl">
		<xsl:choose>
			
			<xsl:when test=".//ctxt:FejlNummer='-1021'"><xsl:text>Der var en fejl -1021</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:FejlNummer='-1022'"><xsl:text>Der var en fejl -1022</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:FejlNummer='-1023'">
			
				<!-- 	Eksempel på spændende fejltekst der anvender felterne i Identifikation 
						De forskellige felter er taget fra Identifikationsstrukturen.
						Dette er den mekanisme der erstatter brugen af '%' i de gamle fejlbeskeder -->

				<xsl:text>Man kan ikke være </xsl:text><xsl:apply-templates select=".//ts:CivilstandGiftKode"/>
				<xsl:text> i </xsl:text><xsl:apply-templates select=".//ts:VirksomhedAdresseLandeKode"/>
				<xsl:text> når bynavn er </xsl:text><xsl:apply-templates select=".//ts:VirksomhedAdresseBynavn"/>

				<!-- 	ved at anvende samme koder som i det andet eksempel vises at man kan
						kombinere dannelsen af fejltekst med oversættelsen af koder -->
				
			</xsl:when>
			
			<xsl:when test=".//ctxt:FejlNummer='-1024'"><xsl:text>Der var en fejl -1024</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:FejlNummer='-1025'"><xsl:text>Der var en fejl -1025</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:FejlNummer='-1026'"><xsl:text>Der var en fejl -1026</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:FejlNummer='-1027'"><xsl:text>Der var en fejl -1027</xsl:text></xsl:when>
			
			<!-- osv. Alle fejl er listet hér -->
			
			<xsl:otherwise>
				<xsl:text>Systemfejl.</xsl:text>				<!-- For alle andre fejl giv en systemfejl -->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="ctxt:Advis">
		<xsl:choose>
			
			<xsl:when test=".//ctxt:AdvisNummer='-1021'"><xsl:text>Advarsel -521</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:AdvisNummer='-1022'"><xsl:text>Advarsel -522</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:AdvisNummer='-1023'">
			
				<!-- 	Eksempel på spændende Advistekst der anvender felterne i Identifikation 
						De forskellige felter er taget fra Identifikationsstrukturen.
						Dette er den mekanisme der erstatter brugen af '%' i de gamle Advisbeskeder -->

				<xsl:text>Når man er </xsl:text><xsl:apply-templates select=".//ts:CivilstandGiftKode"/>
				<xsl:text> i </xsl:text><xsl:apply-templates select=".//ts:VirksomhedAdresseLandeKode"/>
				<xsl:text> så bor man i </xsl:text><xsl:apply-templates select=".//ts:VirksomhedAdresseBynavn"/>

				<!-- 	ved at anvende samme koder som i det andet eksempel vises at man kan
						kombinere dannelsen af Advistekst med oversættelsen af koder -->
				
			</xsl:when>
			
			<xsl:when test=".//ctxt:AdvisNummer='-524'"><xsl:text>Advarsel -524</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:AdvisNummer='-525'"><xsl:text>Advarsel -525</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:AdvisNummer='-526'"><xsl:text>Advarsel -526</xsl:text></xsl:when>
			<xsl:when test=".//ctxt:AdvisNummer='-527'"><xsl:text>Advarsel -527</xsl:text></xsl:when>
			
			<!-- osv. Alle Advis er listet hér -->
			
			<xsl:otherwise>
				<xsl:text>Ukendt advarsel.</xsl:text>				<!-- For alle andre fejl giv en generel advis -->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>